libzypp 17.37.10

promptoptions.h File Reference
`#include <vector>`
`#include <string>`
`#include <set>`
`#include <zypp-tui/utils/colors.h>`

Go to the source code of this file.

## Classes
class | ztui::PromptOptions
| Example: `PromptOptions popts; popts.setOptions(_("y/n/p"), 0 / * default reply * /); popts.setOptionHelp(0, _("Help for option 'y'")); popts.setOptionHelp(1, _("Help for option 'n'")); ... zypper.out().prompt(PROMPT_YN_INST_REMOVE_CONTINUE, prompt_text, popts); unsigned reply = get_prompt_reply(zypper, PROMPT_YN_INST_REMOVE_CONTINUE, popts);` More...

## Namespaces
namespace | ztui